package com.energy.manage.service.service.analysis.impl;

import com.energy.manage.service.domain.dto.analysis.AnalysisResultReportDto;
import com.energy.manage.service.mappers.analysis.AnalysisResultReportMapper;
import com.energy.manage.service.service.analysis.AnalysisResultReportService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author chy
 * @date 2024/9/20 17:33
 * @desc
 */
@Service
public class AnalysisResultReportServiceImpl implements AnalysisResultReportService {

    @Autowired
    private AnalysisResultReportMapper analysisResultReportMapper;
    /**
     * 批量添加保存报告
     *
     * @param resultReportDto
     * @return
     */
    @Override
    public int saveReportBatch(List<AnalysisResultReportDto> resultReportDto) {
        return analysisResultReportMapper.saveReportBatch(resultReportDto);
    }
}
