package com.energy.manage.service.controller.analysisresultreport;

import com.energy.manage.common.reponse.ResultResp;
import com.energy.manage.service.controller.base.BaseServiceController;
import com.energy.manage.service.domain.dto.analysis.AnalysisResultReportDto;
import com.energy.manage.service.service.analysis.AnalysisResultReportService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author chy
 * @date 2024/9/20 18:17
 * @desc
 */
@RestController
@RequestMapping("/analysisResultReport")
public class AnalysisResultReportController extends BaseServiceController {


    @Autowired
    private AnalysisResultReportService analysisResultReportService;

    @PostMapping("/saveReportBatch")
    public ResultResp saveReportBatch(@RequestBody List<AnalysisResultReportDto> reportDtoList)
    {
        return success(analysisResultReportService.saveReportBatch(reportDtoList));
    }

}
